function playfield () {
    // Data
    this.card1 = null;
    this.card2 = null;
    this.score = 0;
    this.tries = 0;
    // Methods
    this.playCard = function(board, i){
        board.flip(i);
        board.updateTries(Math.ceil(++this.tries/2));
        if (this.card1 === null){
          this.card1 = board.cards[i];
          this.card1.position = i;
        } else if (this.card2 === null){
            this.card2 = board.cards[i];
            this.card2.position = i;
            var that = this;
            if (this.card1.value == this.card2.value){
              this.score++;
              setTimeout(function(){that.remove(board); that.card1 = that.card2 = null;}, 1000);
            } else {
              setTimeout(function(){that.flip(board); that.card1 = that.card2 = null;}, 1000);
            }
            board.updateScore(this.score);
        } else {
            alert ('Stop clicking so fast!');
        }
    }
    this.remove = function(board){
        board.remove(this.card1.position);
        board.remove(this.card2.position);
    }
    this.flip = function(board){
        board.flip(this.card1.position);
        board.flip(this.card2.position);
    }
}